import { importDefaultForRuntime, ITestBase } from './mod.ts';
import { chars, is_ascii } from './strings.ts';

const t: ITestBase = await importDefaultForRuntime('test_base');

t.test('chars fn properly splits strings into unicode characters', () => {
	t.assertEquals(chars('😺😸😹'), ['😺', '😸', '😹']);
});

t.test('is_ascii properly discerns ascii chars', () => {
	t.assertTrue(is_ascii('asjyverkjhsdf1928374'));
	t.assertFalse(is_ascii('😺acalskjsdf'));
});
